YT(1)

NAME
yt - command-line tool allowing to access some of yt's basic functionality without opening a python interpreter.

DESCRIPTION
The tools is a collection of subcommands. These can quickly making plots of slices and projections through a dataset, updating yt's codebase, print basic statistics about a dataset, launch an IPython notebook session, and more.

usage: yt [-h] [--config CONFIG] [--paste] [--paste-detailed] [--detailed] [--rpdb] [--parallel] [--version] subcommand

yt command line arguments

  optional arguments:

-h, --help
    show this help message and exit

--config CONFIG
    Set configuration option, in the form param=value

--paste
    Paste traceback to paste.yt-project.org

--paste-detailed
    Paste a detailed traceback with local variables to paste.yt-project.org

--detailed
    Display detailed traceback.

--rpdb
    Enable remote pdb interaction (for parallel debugging).

--parallel
    Run in MPI-parallel mode (must be launched as an MPI task)

--version
    show program's version number and exit

  subcommands:

help
    Print help message

bugreport
    Report a bug in yt

hub_register
    Register a user on the Hub: https://hub.yt-project.org/

instinfo
    Get some information about the yt installation

version
    Get some information about the yt installation

load
    Load a single dataset into an IPython instance

mapserver
    Serve a plot in a GMaps-style interface

pastebin
    Post a script to an anonymous pastebin

pastebin_grab
    Print an online pastebin to STDOUT for local use.

upload_notebook
    Upload an IPython notebook to hub.yt-project.org.

plot
    Create a set of images

rpdb
    Connect to a currently running (on localhost) rpd session. Commands run with --rpdb will trigger an rpdb session with any uncaught exceptions.

notebook
    Run the IPython Notebook

stats
    Print stats and max/min value of a given field (if requested), for one or more datasets (default field is density)

update
    Update the yt installation to the most recent version

upload_image
    Upload an image to imgur.com. Must be PNG.

AUTHORS
yt was primarily written by yt Development Team.

SEE ALSO
Full documentation for the yt commandline can be found at https://yt-project.org/doc/